<template>
<div class="page" data-name="stok">
  <div class="navbar">
    <div class="navbar-bg" style="background-image: linear-gradient(to right, #004d7a, #008793, #6d9987);"></div>
    <div class="navbar-inner sliding">
        <div class="left">
          <a href="#" class="link icon-only panel-open" data-panel="left">
            <i class="icon f7-icons if-not-md" style="color: white;">menu</i>
            <i class="icon material-icons if-md" style="color: white;">menu</i>
          </a>
        </div>
      <div class="title" style="color: white;">Stok</div>
        <div class="right">
          <a href="/notifikasi/" class="link icon-only">
            <img src="https://tokoakbar.com/public/static/img/new_icon/notif.png">
            <!-- <i class="icon f7-icons if-not-md">menu</i>
            <i class="icon material-icons if-md">menu</i> -->
          </a>
        </div>
    </div>
  </div>
  <div class="page-content" style="background-color: #f6f6f6;">

        <!-- Searchbar backdrop -->
    <div class="searchbar-backdrop"></div>
    <!-- hide-on-search element -->
    <div class="block searchbar-hide-on-search">
      
    </div>

        <div class="row">
          <div class="col-100 medium-100" style="padding:10px;color: white;margin-top: -20px;margin-bottom: -20px;"><b>Laporan Stok</b></div>
        </div>
        <!-- Nothing found message -->
        <div class="block searchbar-not-found">
          <div class="block-inner">Nothing found</div>
        </div>
          <!-- list laporan stok   -->
          <div class="list">
            <ul style="margin-left: 10px;margin-right: 10px;border-radius: 10px;">
              <li>
                <div class="item-content">
                  <div class="item-inner">
                  <div class="item-title"><b>Nama Produk</b></div>
                  <div class="item-after"><b>Sisa Stok</b></div> 
                  </div>
                </div>
              </li>
              {{#each lapstok}}
              <li>
                <div class="item-content">
                  <!-- <div class="item-media"><img src="img/logo.png" width="20px"></div> -->
                  <div class="item-inner">
                    <div class="item-title">{{this.nama}}</div>
                    <div class="item-after">{{this.sisa_stok}}</div>
                  </div>
                </div>
              </li>
              {{/each}}
            </ul>
          </div>
          <!-- end lap stok -->
  </div>

</div>
</template>
<script>
import $$ from 'dom7';
  export default {
    // Lifecycle Hooks
    beforeCreate() {
      console.log('componentBeforeCreate', this)
    },
    created() {
      console.log('componentCreated', this)
    },
    beforeMount() {
      console.log('componentBeforeMount', this)
    },
    mounted() {
      console.log('componentMounted', this);
    },
    beforeDestroy() {
      console.log('componentBeforeDestroy', this);
    },
    destroyed() {
      console.log('componentDestroyed', this);
    },
    // Component Data
    data: function () {
      // Must return an object
      return {
        name: 'Jimmy',
        age: 25,
        like: ['Tennis', 'Chess', 'Football'],
        lapstok: null,
      }
    },
    // Component Methods
    methods: {
      openAlert: function () {
        var self = this;
        self.$app.dialog.alert('Hello World');
      },
    },
    // Page Events
    on: {
      pageMounted: function(e, page) {
        console.log('pageMounted', page);
      },
      pageInit: function(e, page) {
        // console.log('pageInit', page);

          const self = this;
          const app = self.$f7;
          // var $ = f7.$;

          app.preloader.show();
          // request user data on page init
          app.request.get('https://backoffice.tokoakbar.com/api/laporan_stok', (data) => {
            // update component state with new state
            self.$setState({
              lapstok: data,
            });
            app.preloader.hide();
          },'json');       
        // create searchbar
          var searchbar = app.searchbar.create({
            el: '.searchbar',
            searchContainer: '.list',
            searchIn: '.item-title',
            on: {
              search(sb, query, previousQuery) {
                console.log(query, previousQuery);
              }
            }
          });
        
      },
      pageBeforeIn: function(e, page) {
        console.log('pageBeforeIn', page);
      },
      pageAfterIn: function(e, page) {
        console.log('pageAfterIn', page);
      },
      pageBeforeOut: function(e, page) {
        console.log('pageBeforeOut', page);
      },
      pageAfterOut: function(e, page) {
        console.log('pageAfterOut', page);
      },
      pageBeforeRemove: function(e, page) {
        console.log('pageBeforeRemove', page);
      },
    }
  }
</script>